com.h3c.sdn.ctlAddrManager

## Class CtlAddrEntity

- java.lang.Object
- - com.h3c.sdn.AbstractModel<T,UUID>
  - - com.h3c.sdn.Model<T>
    - - com.h3c.sdn.SystemModel<CtlAddrEntity>
      - - com.h3c.sdn.ctlAddrManager.CtlAddrEntity

- All Implemented Interfaces:
    Timeable, Transportable<CtlAddrEntity,UUID>, Serializable

      public class CtlAddrEntity
      extends SystemModel<CtlAddrEntity>
      implements Timeable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CtlAddrEntity(Id<CtlAddrEntity,UUID> id, Id<SystemInformation,UUID> sysId, IpAddress ipAddr, IpAddress maskIpAddr, MacAddress macAddr, VId vid)`
    `CtlAddrEntity(Id<SystemInformation,UUID> sysId, IpAddress ipAddr, IpAddress maskIpAddr, MacAddress macAddr, VId vid)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IpAddress` | `getIpAddr()`
    `MacAddress` | `getMacAddr()`
    `IpAddress` | `getMaskIpAddr()`
    `Date` | `getTimestamp()` Gets the time the event occurred.
    `VId` | `getVid()`

    - ### Methods inherited from class com.h3c.sdn.SystemModel

      `getSysId, toString`

    - ### Methods inherited from class com.h3c.sdn.AbstractModel

      `equals, getId, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CtlAddrEntity

          public CtlAddrEntity(Id<SystemInformation,UUID> sysId,
                       IpAddress ipAddr,
                       IpAddress maskIpAddr,
                       MacAddress macAddr,
                       VId vid)

    - #### CtlAddrEntity

          public CtlAddrEntity(Id<CtlAddrEntity,UUID> id,
                       Id<SystemInformation,UUID> sysId,
                       IpAddress ipAddr,
                       IpAddress maskIpAddr,
                       MacAddress macAddr,
                       VId vid)

  - ### Method Detail

    - #### getIpAddr

          public IpAddress getIpAddr()

    - #### getMaskIpAddr

          public IpAddress getMaskIpAddr()

    - #### getMacAddr

          public MacAddress getMacAddr()

    - #### getVid

          public VId getVid()

    - #### getTimestamp

          public Date getTimestamp()

      Description copied from interface: `Timeable`
      Gets the time the event occurred.
      Specified by:
        `getTimestamp` in interface `Timeable`
      Returns:
        the timestamp

Copyright © 2014. All Rights Reserved.